using System;
using Microsoft.AspNetCore.Http;

namespace AccessingRequest
{
    public class NumberGeneratorService : INumberGeneratorService

    {   
        private readonly IHttpContextAccessor _httpContextAccessor;
        public NumberGeneratorService(IHttpContextAccessor httpContextAccessor)
        {
            _httpContextAccessor = httpContextAccessor;
            Console.WriteLine($"Request.Host inside service : {httpContextAccessor.HttpContext.Request.Host.Value}");
        }

        public int GetValue()
        {
            var rng = new Random();
            return rng.Next(-20, 55);          
        }
    }
}